/**
 * Button
 */
/**
 * Remove color name product
 */
/**
 * Icomoon mixin
 */
.products-grid .product-item {
  margin: 0;
}
.products-grid .product-item-info {
  width: 100% !important;
  background-color: #fff;
  margin-bottom: 30px;
  padding: 14px;
  border: solid 1px #eee;
  position: relative;
  text-align: center;
  transition: 0.1s;
  -moz-transition: 0.1s;
  -webkit-transition: 0.1s;
  -o-transition: 0.1s;
}
.products-grid .product-item-info .reviews-actions {
  display: none !important;
}
.products-grid .product-item-info .image-product {
  position: relative;
}
.products-grid .product-item-info .image-product .quickview-handler {
  display: block;
  width: 40px;
  height: 40px;
  text-align: center;
  line-height: 40px;
  background-color: #fff;
  color: #111;
  position: absolute;
  bottom: 2px;
  right: 2px;
  z-index: 100;
  opacity: 0;
  visibility: hidden;
  transition: 0.1s;
  -moz-transition: 0.1s;
  -webkit-transition: 0.1s;
  -o-transition: 0.1s;
}
.products-grid .product-item-info .image-product .quickview-handler:before {
  content: '\e954';
  display: inline-block;
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  font-size: 18px;
}
.products-grid .product-item-info .image-product .quickview-handler span {
  display: none;
}
.products-grid .product-item-info .product-item-photo {
  display: block;
  line-height: 0;
  position: relative;
}
.products-grid .product-item-info .product-item-details {
  padding: 10px 10px 0;
  position: relative;
}
.products-grid .product-item-info .product-item-details .product-item-name {
  margin: 0 0 6px;
  overflow: hidden;
}
.products-grid .product-item-info .product-item-details .product-item-name a {
  padding: 6px 0;
  font-size: 123.077%;
  line-height: 1.2;
}
.products-grid .product-item-info .product-item-details .product-reviews-summary {
  display: inline-block;
  margin-bottom: 2px;
  position: relative;
}
.products-grid .product-item-info .product-item-details .product-reviews-summary:before {
  content: "";
  display: block;
  height: 1px;
  width: 50px;
  position: absolute;
  left: -10px;
  transform: translateX(-100%);
  top: calc(49%);
  background: #ffffff;
  background: linear-gradient(90deg, #ffffff 0%, #eeeeee 100%);
}
.products-grid .product-item-info .product-item-details .product-reviews-summary:after {
  content: "";
  display: block;
  height: 1px;
  width: 50px;
  position: absolute;
  right: -10px;
  transform: translateX(100%);
  top: calc(49%);
  background: #ffffff;
  background: linear-gradient(90deg, #eeeeee 0%, #ffffff 100%);
}
.products-grid .product-item-info .product-item-details .price-box {
  padding: 0 0 9px;
  margin: 0;
}
.products-grid .product-item-info .product-item-details .price-box .price {
  font-size: 138.462%;
  font-weight: 400 !important;
}
.products-grid .product-item-info .product-item-details .price-box .old-price .price {
  position: relative;
  top: 2px;
  font-size: 107.692%;
}
.products-grid .product-item-info .product-item-details div[class^="swatch-opt-"] {
  margin-bottom: 0;
}
.products-grid .product-item-info .product-item-details .product-item-inner {
  position: absolute;
  bottom: -55px;
  left: 0;
  right: 0;
  z-index: 20;
  opacity: 0;
  visibility: hidden;
  transition: 0.1s;
  -moz-transition: 0.1s;
  -webkit-transition: 0.1s;
  -o-transition: 0.1s;
}
.products-grid .product-item-info .product-item-details .product-item-actions {
  display: none;
  vertical-align: middle;
  padding: 0 42px;
  position: relative;
  margin: 9px 0 10px;
}
.products-grid .product-item-info .product-item-details .product-item-actions .actions-primary .tocart {
  height: 40px;
  line-height: 40px;
  padding: 0 25px;
  background-color: #111;
  color: #fff;
  text-transform: uppercase;
  border-radius: 0;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  transition: 0.1s;
  -moz-transition: 0.1s;
  -webkit-transition: 0.1s;
  -o-transition: 0.1s;
}
.products-grid .product-item-info .product-item-details .product-item-actions .actions-secondary .action {
  background-color: #111;
  display: block;
  width: 40px;
  height: 40px;
  text-align: center;
  line-height: 40px;
  border: none;
  color: #fff;
  position: absolute;
  top: 0;
  border-radius: 0;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  transition: 0.1s;
  -moz-transition: 0.1s;
  -webkit-transition: 0.1s;
  -o-transition: 0.1s;
}
.products-grid .product-item-info .product-item-details .product-item-actions .actions-secondary .action.towishlist {
  left: 0;
}
.products-grid .product-item-info .product-item-details .product-item-actions .actions-secondary .action.towishlist:after {
  content: '\e93f';
  display: inline-block;
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  font-size: 14px;
}
.products-grid .product-item-info .product-item-details .product-item-actions .actions-secondary .action.tocompare {
  right: 0;
}
.products-grid .product-item-info .product-item-details .product-item-actions .actions-secondary .action.tocompare:after {
  content: '\e96f';
  display: inline-block;
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  font-size: 14px;
}
.products-grid .product-item-info .product-item-details .product-item-actions .actions-secondary .action:before,
.products-grid .product-item-info .product-item-details .product-item-actions .actions-secondary .action span {
  display: none;
}
.products-grid .product-item-info .product-item-details .swatch-option {
  display: inline-block;
  float: none;
  margin: 0 2px;
}
.products-grid .product-item-info .product-item-details .swatch-option.color {
  margin: 0 7px;
}
.products-grid .product-item-info:hover {
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1);
  text-shadow: 0px 0px 20px rgba(0, 0, 0, 0.1);
  border-color: transparent;
  position: relative;
  z-index: 200;
}
.products-grid .product-item-info:hover:before {
  opacity: 1;
  visibility: visible;
}
.products-grid .product-item-info:hover .product-item-details .product-item-inner {
  opacity: 1;
  visibility: visible;
}
.products-grid .product-item-info:hover .image-product .quickview-handler {
  opacity: 1;
  visibility: visible;
}
.products-grid .product-item-info:hover .product-item-details .product-item-actions {
  display: inline-block;
}
.products-list .product-item-info {
  padding: 9px;
}
.products-list .product-item-info .image-product {
  position: relative;
}
.products-list .product-item-info .image-product .quickview-handler {
  display: block;
  width: 40px;
  height: 40px;
  text-align: center;
  line-height: 40px;
  background-color: #fff;
  color: #111;
  position: absolute;
  bottom: 2px;
  right: 2px;
  z-index: 100;
  opacity: 0;
  visibility: hidden;
  transition: 0.1s;
  -moz-transition: 0.1s;
  -webkit-transition: 0.1s;
  -o-transition: 0.1s;
}
.products-list .product-item-info .image-product .quickview-handler:before {
  content: '\e954';
  display: inline-block;
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  font-size: 18px;
}
.products-list .product-item-info .image-product .quickview-handler span {
  display: none;
}
.products-list .product-item-info .product-item-details .product-item-actions {
  vertical-align: middle;
  display: inline-block;
  padding: 0 42px;
  position: relative;
  margin: 9px 0 10px;
}
.products-list .product-item-info .product-item-details .product-item-actions .actions-primary .tocart {
  height: 40px;
  line-height: 40px;
  padding: 0 25px;
  background-color: #111;
  color: #fff;
  text-transform: uppercase;
  border-radius: 0;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  transition: 0.1s;
  -moz-transition: 0.1s;
  -webkit-transition: 0.1s;
  -o-transition: 0.1s;
}
.products-list .product-item-info .product-item-details .product-item-actions .actions-secondary .action {
  background-color: #111;
  display: block;
  width: 40px;
  height: 40px;
  text-align: center;
  line-height: 40px;
  border: none;
  color: #fff;
  position: absolute;
  top: 0;
  border-radius: 0;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  transition: 0.1s;
  -moz-transition: 0.1s;
  -webkit-transition: 0.1s;
  -o-transition: 0.1s;
}
.products-list .product-item-info .product-item-details .product-item-actions .actions-secondary .action.towishlist {
  left: 0;
}
.products-list .product-item-info .product-item-details .product-item-actions .actions-secondary .action.towishlist:after {
  content: '\e93f';
  display: inline-block;
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  font-size: 14px;
}
.products-list .product-item-info .product-item-details .product-item-actions .actions-secondary .action.tocompare {
  right: 0;
}
.products-list .product-item-info .product-item-details .product-item-actions .actions-secondary .action.tocompare:after {
  content: '\e96f';
  display: inline-block;
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  font-size: 14px;
}
.products-list .product-item-info .product-item-details .product-item-actions .actions-secondary .action:before,
.products-list .product-item-info .product-item-details .product-item-actions .actions-secondary .action span {
  display: none;
}
.products-list .product-item-info:hover .image-product .quickview-handler {
  opacity: 1;
  visibility: visible;
}
.products-grid.products-upsell .product-item-info .product-item-details .product-item-inner,
.products-grid.products-related .product-item-info .product-item-details .product-item-inner {
  opacity: 1;
  visibility: visible;
}
